# addOutgoingSettlementTransaction

**POST api/fireblocks/addOutgoingSettlementTransaction**

{% tabs %}
{% tab title="Payload" %}

```json
{
    "counterpartyId": 4,
    "asset": "BTC",
    "amount": 100000000000,
    "comment": "I am going to send BTC transaction via Fireblocks",
    "expiresIn": 2,
    "network": "BTC"
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
{
    "settlementTransactions": [
        {
            "ticketId": "1a1a1a1a-1a1a-1a1a-1a1a-1a1a1a1a1a1a",
            "transactionId": 1234567890
        }
    ]
}
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 9,  // error code might vary
    "errorDescription": [
        "INPUT_ERROR" // additional error details
    ]
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Filed Name     | Type           | Description                                                                                                                                                                                                      |
| -------------- | -------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| counterpartyId | Efx::ClientId  | Counterparty Id                                                                                                                                                                                                  |
| asset          | string         | Asset name                                                                                                                                                                                                       |
| amount         | Efx::Size      | Amount                                                                                                                                                                                                           |
| comment        | string         | *Optional*. Comment                                                                                                                                                                                              |
| expiresIn      | unsigned int16 | <p><em>Optional</em>. Fireblocks ticket will be marked as expired after specified amount of hours.<br>Settlement Transaction will be cancelled on Platform.<br>Max value supported by Fireblocks is 48 hours</p> |
| network        | string         | *Optional*. Network name                                                                                                                                                                                         |

**Response description**

| Field Name                | Type                            | Description                                                                                 |
| ------------------------- | ------------------------------- | ------------------------------------------------------------------------------------------- |
| settlementTransactions    | Array of SettlementTransactions | Operation results, includes IDs of the created Settlement Transaction and Fireblocks Ticket |
| **SettlementTransaction** |                                 |                                                                                             |
| ticketId                  | string                          | <p>ID of the created Fireblocks Ticket.<br>UUID string</p>                                  |
| transactionId             | Efx::OrderId                    | ID of the created Settlement Transaction (transaction's order id)                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/settlements/fireblocks/addoutgoingsettlementtransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
